Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot.dial
Class DialLayerChangeEvent

    java.lang.Object
      java.util.EventObject
          org.jfree.chart.event.ChartChangeEvent
              org.jfree.chart.plot.dial.DialLayerChangeEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DialLayerChangeEvent

extends ChartChangeEvent

An event that can be forwarded to any `DialLayerChangeListener` to signal a change to a `DialLayer`.

Since:
  1.0.7
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DialLayerChangeEvent(DialLayer layer)` Creates a new instance.

Method Summary
`DialLayer` | `getDialLayer()` Returns the layer that generated the event.

Methods inherited from class org.jfree.chart.event.ChartChangeEvent
`getChart, getType, setChart, setType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DialLayerChangeEvent

    public DialLayerChangeEvent(DialLayer layer)

  Creates a new instance.

  Parameters:
    `layer` - the dial layer that generated the event.

Method Detail

### getDialLayer

    public DialLayer getDialLayer()

  Returns the layer that generated the event.

  Returns:
    The layer that generated the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.